Get itemized costs by deployments. Currently unavailable in self-hosted ECE.

Base URL
https://api.elastic-cloud.com/api/v1
No auth Deprecated

Retrieves the itemized costs for the given deployment.

Path parameters

organization_id string required

Identifier for the organization

deployment_id string required

Id of a Deployment

Query parameters

from string

A datetime for the beginning of the desired range for which to fetch costs. Defaults to start of current month.

to string

A datetime for the end of the desired range for which to fetch costs. Defaults to the current date.

Responses

The costs associated to a set items billed for a single deployment.

application/json
costs object required

Costs overview for an organization. All of the costs, credits, trials are expressed in Elastic Consumption Unit (ECU).

total number · format: double required

Total costs

dimensions object[] required

A collection of billing details by dimension.

type enum required

The type of the billing dimension

Values: capacity data_in data_internode data_out storage_api storage_bytes
cost number · format: double required

The cost of the billing dimension

data_transfer_and_storage object[] required

List of the detailed costs associated to the Data Transfer and Storage (DTS) dimensions

cost number · format: double required

Costs associated to the Data Transfer and Storage (DTS) dimensions for an organization

name string required

DTS dimension name

quantity object required

DTS quantity

value integer · format: int64 required

Raw quantity

formatted_value string required

Quantity in human readable format

rate object required

DTS Rate

value number · format: double required

Raw rate

formatted_value string required

Rate in human readable format

sku string required

DTS dimension Stock Keeping Unit (SKU)

type string required

Type of the DTS dimension usage

resources object[] required

Costs of the list of resources

hours integer · format: int64 required

Resource usage in hours

instance_count integer · format: int32 required

Number of instances

period object required

Period

start string · format: date-time required

Start

end string · format: date-time required

End

kind enum required

Kind of resource

Values: elasticsearch kibana apm integrations_server appsearch enterprise_search
price number · format: double required

Resource price

price_per_hour number · format: double required

Price per hour

name string required

Resource name

sku string required

Stock Keeping Unit (SKU)

Base URL
https://api.elastic-cloud.com/api/v1